#ifndef ncext_h
#define ncext_h

#include <nc.h>
#include <stdio.h>
#include <stdlib.h>
#include <memory.h>

/* Adapted from netcdf/libsrc/nc.c */
extern NC* opennc(const char * file, int* status);
extern int closenc(NC* ncp);
extern NC* new_NC();
extern void free_NC(NC *ncp);

#endif /* ncext_h */
/*======================================================================
  U.S. Department of Commerce (DOC) Software License for script 
  developed at the Geophysical Fluid Dynamics Laboratory/NOAA.

  1. Scope of License

   Subject to all the terms and conditions of this license, DOC grants
   USER the royalty-free, nonexclusive, nontransferable, and worldwide
   rights to reproduce, modify, and distribute this script
   developed at the Geophysical Fluid Dynamics Laboratory/NOAA, herein
   referred to as the Product.

  2. Conditions and Limitations of Use

   Warranties.  Neither the U.S. Government, nor any agency or
     employee thereof, makes any warranties, expressed or implied,
     with respect to the Product provided under this License,
     including but not limited to the implied warranties or
     merchantability and fitness for any particular purpose.

   Liability.  In no event shall the U.S. Government, nor any agency
     or employee thereof, be liable for any  direct, indirect, or
     consequential damages flowing from the use of the Product
     provided under this License.

   Non-Assignment.  Neither this License nor any rights granted
     hereunder are transferable or assignable without the explicit
     prior written consent of DOC. 

   Names and Logos.  USER shall not substitute its name or logo for the
     name or logo of DOC, or any of its agencies, in identification of
     the Product.

   Export of technology.  USER shall comply with all U.S. laws and
     regulations restricting the export of the Product to other
     countries.  

   Governing Law.  This License shall be governed by the laws of 
     United States as interpreted and applied by the Federal courts 
     in the District of Columbia.

  3. Term of License This License shall remain in effect as long as USER
     uses the Product in accordance with Paragraphs 1 and 2.
======================================================================*/
/*
Copyright 1993-2001 University Corporation for Atmospheric Research/Unidata

Portions of this software were developed by the Unidata Program at the 
University Corporation for Atmospheric Research.

Access and use of this software shall impose the following obligations
and understandings on the user. The user is granted the right, without
any fee or cost, to use, copy, modify, alter, enhance and distribute
this software, and any derivative works thereof, and its supporting
documentation for any purpose whatsoever, provided that this entire
notice appears in all copies of the software, derivative works and
supporting documentation.  Further, UCAR requests that the user credit
UCAR/Unidata in any publications that result from the use of this
software or in any product that includes this software. The names UCAR
and/or Unidata, however, may not be used in any advertising or publicity
to endorse or promote any products or commercial entity unless specific
written permission is obtained from UCAR/Unidata. The user also
understands that UCAR/Unidata is not obligated to provide the user with
any support, consulting, training or assistance of any kind with regard
to the use, operation and performance of this software nor to provide
the user with any updates, revisions, new versions or "bug fixes."

THIS SOFTWARE IS PROVIDED BY UCAR/UNIDATA "AS IS" AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL UCAR/UNIDATA BE LIABLE FOR ANY SPECIAL,
INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
WITH THE ACCESS, USE OR PERFORMANCE OF THIS SOFTWARE.*/
